All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.memberproperties.html
Class MemberPropertiesSelector

    com.sas.servlet.tbeans.dataselectors.memberproperties.html.MemberPropertiesSelector

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, DataSelectorInterface, HttpDataSelectorInterface, com.sas.dataselectors.SelectorCloseInterface, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, SelectorContainerStyleKeysInterface, SelectorContainerKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class MemberPropertiesSelector

The SortSelector is a TransformationBean™ that generates the appropriate HTML 4.0 and JavaScript to represent a selector which can be used to sort viewer data.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.dataselectors.html.AbstractSelectorContainer
`DEFAULT_TEMPLATE_FILE_NAME`

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`EXTERNAL_CHILD_SELECTOR, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.html.SelectorContainerStyleKeysInterface
`SELECTOR_BUTTON_CONTAINER, SELECTOR_BUTTON_TABLE, SELECTOR_CONTAINER, SELECTOR_CONTAINER_CANCEL_BUTTON, SELECTOR_CONTAINER_HELP_BUTTON, SELECTOR_CONTAINER_OK_BUTTON`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.SelectorContainerKeysInterface
`SELECTORCONTAINER_BUTTON_ROW_ID, SELECTORCONTAINER_CANCEL_BUTTON, SELECTORCONTAINER_HELP_BUTTON, SELECTORCONTAINER_OK_BUTTON, SELECTORCONTAINER_PANEL`

Constructor Summary
`MemberPropertiesSelector()` Default constructor.
`MemberPropertiesSelector(java.lang.String id)`

Method Summary
`protected void` | `setComponents()` Creates the container subcomponents and inserts them into the component map
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets component properties that depend on the user locale
`void` | `write(java.io.PrintWriter out)` Writes the selector

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.AbstractSelectorContainer
`close, getSelectorModel, setSelectorButtonIds, setSelectorModel, writeRemoteScriptCommands, writeRemoteScriptFrame`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.DataSelector
`getAdditionalParameters, getDefaultFormObject, getFormObject, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`getActionProvider, getClosingFunctionName, getCommandId, getDefaultButtonAction, getReferringURI, getSelectorId, getSelectorType, isButtonsVisible, setActionProvider, setButtonsVisible, setClosingFunctionName, setCommandId, setDefaultButtonAction, setReferringURI, setSelectorId, setSelectorType`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.dataselectors.DataSelectorInterface
`isVisible, setVisible`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Constructor Detail

### MemberPropertiesSelector

    public MemberPropertiesSelector()

  Default constructor.

### MemberPropertiesSelector

    public MemberPropertiesSelector(java.lang.String id)

Parameters:
  `id` - The id of this selector.

Method Detail

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Description copied from class: `AbstractSelectorContainer`
  Sets component properties that depend on the user locale

  Overrides:
    `setLocaleDependentProperties` in class `AbstractSelectorContainer`
  Parameters:
    `locale` - - the user locale

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Description copied from class: `AbstractSelectorContainer`
  Writes the selector

  Specified by:
    `write` in interface `HttpDataSelectorInterface`
  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `AbstractSelectorContainer`
  Parameters:
    `out` - - the output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### setComponents

    protected void setComponents()

  Creates the container subcomponents and inserts them into the component map

  Overrides:
    `setComponents` in class `AbstractSelectorContainer`
  See Also:
    `CompositeComponentInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.